"""add continent column to countries table
Revision ID: 2fb9c8d6e5a4
Revises: 2b7a3c5d1e6a
Create Date: 2023-05-30 12:34:56

"""
from alembic import op
import sqlalchemy as sa

# revision identifiers, used by Alembic
revision = '2fb9c8d6e5a4'
down_revision = '2b7a3c5d1e6a'
branch_labels = None
depends_on = None

def upgrade():
    op.add_column('countries', sa.Column('continent', sa.String(), nullable=False))

def downgrade():
    op.drop_column('countries', 'continent')