"""make year field optional for cars table

Revision ID: f4c2e3a1c7b4
Revises: 2f8c9a7d5b42
Create Date: 2023-05-19 16:35:55.849331

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'f4c2e3a1c7b4'
down_revision = '2f8c9a7d5b42'
branch_labels = None
depends_on = None


def upgrade():
    op.alter_column('cars', 'year',
               existing_type=sa.Integer(),
               nullable=True)


def downgrade():
    op.alter_column('cars', 'year',
               existing_type=sa.Integer(),
               nullable=False)